GET
/user/files/checksumGet file checksum
Returns the cryptographic hash (checksum) of a single file for the logged in user. The operation reads the file content to calculate the hash; for large files, this operation may take some time.
pathstringrequired
Path to the file to calculate the checksum for. It must be URL encoded, for example the path "my dir/file.txt" must be sent as "my%20dir%2Ffile.txt"
algostringoptional
The hashing algorithm to use for the calculation. Currently, only sha256 is supported.
200successful operation
checksumstringoptional
The calculated hash as a hexadecimal string
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
404Not Found
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 404 is returned: Not Found. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.